package sikd.sikd5.sikd5bean.ws.transaksi;
// Generated Mar 6, 2019 10:58:36 AM by Hibernate Tools 4.3.1

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement
@XmlType(name = "belanjaWS", propOrder = {
		"tahunanggaran",
		"kodesatker",
		"kodepemda",
		"namapemda",
		"jeniscoa",
		"nomorspm",
		"nomorsp2d",
		"sha256",
		"jenissp2d",
		"tanggalspm",
		"tanggalsp2d",
		"nilaisp2d",
		"statussp2d",
		"nilaitotalpajak",
		"nilaitotalpotongan",
		"npwpbud",
		"npwpskpd",
		"npwppenerima",
		"namapenerima",
		"kodesumberdana",
		"namasumberdana",
		"kodesubsumberdana",
		"subsumberdana",
		"tahapsalurdana",
		"keterangan",
		"kodekelompokurusan",
		"namakelompokurusan",
		"kodeurusan",
		"namaurusan",
		"kodeunitorganisasi",
		"namaunitorganisasi",
		"kodesubunitorganisasi",
		"namasubunitorganisasi",
		"kodeskpd",
		"namaskpd",
		"kodeprogram",
		"namaprogram",
		"kodekegiatan",
		"namakegiatan",
		"kodepaketkegiatan",
		"namapaketkegiatan",
		"kodeoutput",
		"namaoutput",
		"satuanoutput",
		"capaianoutput",
		"belanjapotongans",
		"belanjaakuns"
})
public class Belanja_WS implements java.io.Serializable {

	private Short tahunanggaran;
	private String kodesatker;
	private String kodepemda;
	private String namapemda;
	private Short jeniscoa;
	private String nomorspm;
	private String nomorsp2d;
	private String sha256;
	private Short jenissp2d;
	private Date tanggalspm;
	private Date tanggalsp2d;
	private Double nilaisp2d;
	private Short statussp2d;
	private Double nilaitotalpajak;
	private Double nilaitotalpotongan;
	private String npwpbud;
	private String npwpskpd;
	private String npwppenerima;
	private String namapenerima;
	private String kodesumberdana;
	private String namasumberdana;
	private String kodesubsumberdana;
	private String subsumberdana;
	private Short tahapsalurdana;
	private String keterangan;
	private String kodekelompokurusan;
	private String namakelompokurusan;
	private String kodeurusan;
	private String namaurusan;
	private String kodeunitorganisasi;
	private String namaunitorganisasi;
	private String kodesubunitorganisasi;
	private String namasubunitorganisasi;
	private String kodeskpd;
	private String namaskpd;
	private String kodeprogram;
	private String namaprogram;
	private String kodekegiatan;
	private String namakegiatan;
	private String kodepaketkegiatan;
	private String namapaketkegiatan;
	private String kodeoutput;
	private String namaoutput;
	private String satuanoutput;
	private Double capaianoutput;
	private List<Belanjapotongan_WS> belanjapotongans = new ArrayList<>();
	private List<Belanjaakun_WS> belanjaakuns = new ArrayList<>();

	public Belanja_WS() {
	}

	public Belanja_WS(String kodesatker, String kodepemda, String namapemda, String kodekelompokurusan,
			String namakelompokurusan, String kodeurusan, String namaurusan, String kodeunitorganisasi,
			String namaunitorganisasi, String kodesubunitorganisasi, String namasubunitorganisasi, String kodeskpd,
			String namaskpd) {
		this.kodesatker = kodesatker;
		this.kodepemda = kodepemda;
		this.namapemda = namapemda;
		this.kodekelompokurusan = kodekelompokurusan;
		this.namakelompokurusan = namakelompokurusan;
		this.kodeurusan = kodeurusan;
		this.namaurusan = namaurusan;
		this.kodeunitorganisasi = kodeunitorganisasi;
		this.namaunitorganisasi = namaunitorganisasi;
		this.kodesubunitorganisasi = kodesubunitorganisasi;
		this.namasubunitorganisasi = namasubunitorganisasi;
		this.kodeskpd = kodeskpd;
		this.namaskpd = namaskpd;
	}

	public Belanja_WS(Short tahunanggaran, String kodesatker, String kodepemda, String namapemda,
			Short jeniscoa, String nomorspm, String nomorsp2d, String sha256, Short jenissp2d, Date tanggalspm, Date tanggalsp2d,
			Double nilaisp2d, Short statussp2d, Double nilaitotalpajak, Double nilaitotalpotongan, String npwpbud,
			String npwpskpd, String npwppenerima, String namapenerima, String kodesumberdana, String namasumberdana,
			String kodesubsumberdana, String subsumberdana, Short tahapsalurdana, String keterangan,
			String kodekelompokurusan, String namakelompokurusan, String kodeurusan, String namaurusan,
			String kodeunitorganisasi, String namaunitorganisasi, String kodesubunitorganisasi,
			String namasubunitorganisasi, String kodeskpd, String namaskpd, String kodeprogram, String namaprogram,
			String kodekegiatan, String namakegiatan, String kodepaketkegiatan, String namapaketkegiatan,
			String kodeoutput, String namaoutput, String satuanoutput, Double capaianoutput,
			List<Belanjapotongan_WS> belanjapotongans,
			List<Belanjaakun_WS> belanjaakuns) {

		this.tahunanggaran = tahunanggaran;
		this.kodesatker = kodesatker;
		this.kodepemda = kodepemda;
		this.namapemda = namapemda;
		this.jeniscoa = jeniscoa;
		this.nomorspm = nomorspm;
		this.nomorsp2d = nomorsp2d;
		this.sha256 = sha256;
		this.jenissp2d = jenissp2d;
		this.tanggalspm = tanggalspm;
		this.tanggalsp2d = tanggalsp2d;
		this.nilaisp2d = nilaisp2d;
		this.statussp2d = statussp2d;
		this.nilaitotalpajak = nilaitotalpajak;
		this.nilaitotalpotongan = nilaitotalpotongan;
		this.npwpbud = npwpbud;
		this.npwpskpd = npwpskpd;
		this.npwppenerima = npwppenerima;
		this.namapenerima = namapenerima;
		this.kodesumberdana = kodesumberdana;
		this.namasumberdana = namasumberdana;
		this.kodesubsumberdana = kodesubsumberdana;
		this.subsumberdana = subsumberdana;
		this.tahapsalurdana = tahapsalurdana;
		this.keterangan = keterangan;
		this.kodekelompokurusan = kodekelompokurusan;
		this.namakelompokurusan = namakelompokurusan;
		this.kodeurusan = kodeurusan;
		this.namaurusan = namaurusan;
		this.kodeunitorganisasi = kodeunitorganisasi;
		this.namaunitorganisasi = namaunitorganisasi;
		this.kodesubunitorganisasi = kodesubunitorganisasi;
		this.namasubunitorganisasi = namasubunitorganisasi;
		this.kodeskpd = kodeskpd;
		this.namaskpd = namaskpd;
		this.kodeprogram = kodeprogram;
		this.namaprogram = namaprogram;
		this.kodekegiatan = kodekegiatan;
		this.namakegiatan = namakegiatan;
		this.kodepaketkegiatan = kodepaketkegiatan;
		this.namapaketkegiatan = namapaketkegiatan;
		this.kodeoutput = kodeoutput;
		this.namaoutput = namaoutput;
		this.satuanoutput = satuanoutput;
		this.capaianoutput = capaianoutput;
		this.belanjapotongans = belanjapotongans;
		this.belanjaakuns = belanjaakuns;
	}

	public Short getTahunanggaran() {
		return this.tahunanggaran;
	}

	public void setTahunanggaran(Short tahunanggaran) {
		this.tahunanggaran = tahunanggaran;
	}

	public String getKodesatker() {
		return this.kodesatker;
	}

	public void setKodesatker(String kodesatker) {
		this.kodesatker = kodesatker;
	}

	public String getKodepemda() {
		return this.kodepemda;
	}

	public void setKodepemda(String kodepemda) {
		this.kodepemda = kodepemda;
	}

	public String getNamapemda() {
		return this.namapemda;
	}

	public void setNamapemda(String namapemda) {
		this.namapemda = namapemda;
	}

	public Short getJeniscoa() {
		return this.jeniscoa;
	}

	public void setJeniscoa(Short jeniscoa) {
		this.jeniscoa = jeniscoa;
	}

	public String getNomorspm() {
		return this.nomorspm;
	}

	public void setNomorspm(String nomorspm) {
		this.nomorspm = nomorspm;
	}

	public String getNomorsp2d() {
		return this.nomorsp2d;
	}

	public void setNomorsp2d(String nomorsp2d) {
		this.nomorsp2d = nomorsp2d;
	}

	
	public String getSha256() {
		return sha256;
	}

	public void setSha256(String sha256) {
		this.sha256 = sha256;
	}

	public Short getJenissp2d() {
		return this.jenissp2d;
	}

	public void setJenissp2d(Short jenissp2d) {
		this.jenissp2d = jenissp2d;
	}

	public Date getTanggalspm() {
		return this.tanggalspm;
	}

	public void setTanggalspm(Date tanggalspm) {
		this.tanggalspm = tanggalspm;
	}

	public Date getTanggalsp2d() {
		return this.tanggalsp2d;
	}

	public void setTanggalsp2d(Date tanggalsp2d) {
		this.tanggalsp2d = tanggalsp2d;
	}

	public Double getNilaisp2d() {
		return this.nilaisp2d;
	}

	public void setNilaisp2d(Double nilaisp2d) {
		this.nilaisp2d = nilaisp2d;
	}

	public Short getStatussp2d() {
		return this.statussp2d;
	}

	public void setStatussp2d(Short statussp2d) {
		this.statussp2d = statussp2d;
	}

	public Double getNilaitotalpajak() {
		return this.nilaitotalpajak;
	}

	public void setNilaitotalpajak(Double nilaitotalpajak) {
		this.nilaitotalpajak = nilaitotalpajak;
	}

	public Double getNilaitotalpotongan() {
		return this.nilaitotalpotongan;
	}

	public void setNilaitotalpotongan(Double nilaitotalpotongan) {
		this.nilaitotalpotongan = nilaitotalpotongan;
	}

	public String getNpwpbud() {
		return this.npwpbud;
	}

	public void setNpwpbud(String npwpbud) {
		this.npwpbud = npwpbud;
	}

	public String getNpwpskpd() {
		return this.npwpskpd;
	}

	public void setNpwpskpd(String npwpskpd) {
		this.npwpskpd = npwpskpd;
	}

	public String getNpwppenerima() {
		return this.npwppenerima;
	}

	public void setNpwppenerima(String npwppenerima) {
		this.npwppenerima = npwppenerima;
	}

	public String getNamapenerima() {
		return this.namapenerima;
	}

	public void setNamapenerima(String namapenerima) {
		this.namapenerima = namapenerima;
	}

	public String getKodesumberdana() {
		return this.kodesumberdana;
	}

	public void setKodesumberdana(String kodesumberdana) {
		this.kodesumberdana = kodesumberdana;
	}

	public String getNamasumberdana() {
		return this.namasumberdana;
	}

	public void setNamasumberdana(String namasumberdana) {
		this.namasumberdana = namasumberdana;
	}

	public String getKodesubsumberdana() {
		return this.kodesubsumberdana;
	}

	public void setKodesubsumberdana(String kodesubsumberdana) {
		this.kodesubsumberdana = kodesubsumberdana;
	}

	public String getSubsumberdana() {
		return this.subsumberdana;
	}

	public void setSubsumberdana(String subsumberdana) {
		this.subsumberdana = subsumberdana;
	}

	public Short getTahapsalurdana() {
		return this.tahapsalurdana;
	}

	public void setTahapsalurdana(Short tahapsalurdana) {
		this.tahapsalurdana = tahapsalurdana;
	}

	public String getKeterangan() {
		return this.keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	public String getKodekelompokurusan() {
		return this.kodekelompokurusan;
	}

	public void setKodekelompokurusan(String kodekelompokurusan) {
		this.kodekelompokurusan = kodekelompokurusan;
	}

	public String getNamakelompokurusan() {
		return this.namakelompokurusan;
	}

	public void setNamakelompokurusan(String namakelompokurusan) {
		this.namakelompokurusan = namakelompokurusan;
	}

	public String getKodeurusan() {
		return this.kodeurusan;
	}

	public void setKodeurusan(String kodeurusan) {
		this.kodeurusan = kodeurusan;
	}

	public String getNamaurusan() {
		return this.namaurusan;
	}

	public void setNamaurusan(String namaurusan) {
		this.namaurusan = namaurusan;
	}

	public String getKodeunitorganisasi() {
		return this.kodeunitorganisasi;
	}

	public void setKodeunitorganisasi(String kodeunitorganisasi) {
		this.kodeunitorganisasi = kodeunitorganisasi;
	}

	public String getNamaunitorganisasi() {
		return this.namaunitorganisasi;
	}

	public void setNamaunitorganisasi(String namaunitorganisasi) {
		this.namaunitorganisasi = namaunitorganisasi;
	}

	public String getKodesubunitorganisasi() {
		return this.kodesubunitorganisasi;
	}

	public void setKodesubunitorganisasi(String kodesubunitorganisasi) {
		this.kodesubunitorganisasi = kodesubunitorganisasi;
	}

	public String getNamasubunitorganisasi() {
		return this.namasubunitorganisasi;
	}

	public void setNamasubunitorganisasi(String namasubunitorganisasi) {
		this.namasubunitorganisasi = namasubunitorganisasi;
	}

	public String getKodeskpd() {
		return this.kodeskpd;
	}

	public void setKodeskpd(String kodeskpd) {
		this.kodeskpd = kodeskpd;
	}

	public String getNamaskpd() {
		return this.namaskpd;
	}

	public void setNamaskpd(String namaskpd) {
		this.namaskpd = namaskpd;
	}

	public String getKodeprogram() {
		return this.kodeprogram;
	}

	public void setKodeprogram(String kodeprogram) {
		this.kodeprogram = kodeprogram;
	}

	public String getNamaprogram() {
		return this.namaprogram;
	}

	public void setNamaprogram(String namaprogram) {
		this.namaprogram = namaprogram;
	}

	public String getKodekegiatan() {
		return this.kodekegiatan;
	}

	public void setKodekegiatan(String kodekegiatan) {
		this.kodekegiatan = kodekegiatan;
	}

	public String getNamakegiatan() {
		return this.namakegiatan;
	}

	public void setNamakegiatan(String namakegiatan) {
		this.namakegiatan = namakegiatan;
	}

	public String getKodepaketkegiatan() {
		return this.kodepaketkegiatan;
	}

	public void setKodepaketkegiatan(String kodepaketkegiatan) {
		this.kodepaketkegiatan = kodepaketkegiatan;
	}

	public String getNamapaketkegiatan() {
		return this.namapaketkegiatan;
	}

	public void setNamapaketkegiatan(String namapaketkegiatan) {
		this.namapaketkegiatan = namapaketkegiatan;
	}

	public String getKodeoutput() {
		return this.kodeoutput;
	}

	public void setKodeoutput(String kodeoutput) {
		this.kodeoutput = kodeoutput;
	}

	public String getNamaoutput() {
		return this.namaoutput;
	}

	public void setNamaoutput(String namaoutput) {
		this.namaoutput = namaoutput;
	}

	public String getSatuanoutput() {
		return this.satuanoutput;
	}

	public void setSatuanoutput(String satuanoutput) {
		this.satuanoutput = satuanoutput;
	}

	public Double getCapaianoutput() {
		return this.capaianoutput;
	}

	public void setCapaianoutput(Double capaianoutput) {
		this.capaianoutput = capaianoutput;
	}

	public List<Belanjapotongan_WS> getBelanjapotongans() {
		return this.belanjapotongans;
	}

	public void setBelanjapotongans(List<Belanjapotongan_WS> belanjapotongans) {
		this.belanjapotongans = belanjapotongans;
	}

	public List<Belanjaakun_WS> getBelanjaakuns() {
		return this.belanjaakuns;
	}

	public void setBelanjaakuns(List<Belanjaakun_WS> belanjaakuns) {
		this.belanjaakuns = belanjaakuns;
	}

}
